package com.ycwl.basic.profitsharing.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "利润分成记录响应VO")
public class ProfitSharingRecordRespVO {
    @ApiModelProperty(value = "记录ID")
    private Long id;

    @ApiModelProperty(value = "景区ID")
    private Long scenicId;
    private String scenicName;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "分成金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "微信分成金额")
    private BigDecimal wxAmount;

    @ApiModelProperty(value = "手动分成金额")
    private BigDecimal manualAmount;

    @ApiModelProperty(value = "微信分账比例模式")
    private Integer rateMode;

    @ApiModelProperty(value = "微信分账比例")
    private BigDecimal wxRate;

    @ApiModelProperty(value = "实际分账比例")
    private BigDecimal realRate;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderAmount;

    private Integer status;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}